Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158034 - playwave crashes on invalid input (wave has zero channels)
Summary: playwave crashes on invalid input (wave has zero channels)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: SDL_mixer
Version: 8
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-17 23:33 UTC by David Costanzo
Modified: 2008-04-03 00:26 UTC (History)
0 users

Fixed In Version: 1.2.8-6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-03 00:26:36 UTC


Attachments (Terms of Use)
channels-zero.wav -- corrupt WAVE file that demonstrates the crash (deleted)
2005-05-17 23:36 UTC, David Costanzo
no flags Details

Description David Costanzo 2005-05-17 23:33:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050504 Fedora/1.7.7-3

Description of problem:
playwave crashes when it is given a corrupt wave file.  Specifically, it crashes when the "Channels" field is zero.

Version-Release number of selected component (if applicable):
SDL_mixer-1.2.5-5

How reproducible:
Always

Steps to Reproduce:
1. Execute "playwave channels-zero.wav"
  

Actual Results:  playwave crashes.  The following is printed out to the console:

  Opened audio at 22050 Hz 16 bit stereo
  Fatal signal: Segmentation Fault (SDL Parachute Deployed)


Expected Results:  playwave reports that the wave file is corrupt (or at least exits gracefully)

Additional info:

Comment 1 David Costanzo 2005-05-17 23:36:53 UTC
Created attachment 114491 [details]
channels-zero.wav -- corrupt WAVE file that demonstrates the crash

This file originally comes from the OpenQuartz project.  It is GPL.  I modified
it in a hex editor with the sole intention of creating a test case that causes
many applications to crash.

Comment 2 Christian Iseli 2007-01-22 10:35:03 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 David Costanzo 2007-01-24 05:20:27 UTC
Yup it still reproduces, although the shell output  has changed slightly.

  > /usr/bin/playwave channels-zero.wav 
  Opened audio at 22050 Hz 16 bit stereo
  zsh: segmentation fault  /usr/bin/playwave channels-zero.wav

The repro scenario is pretty straight-forward so you should be able to see for
yourself.

Here is the version of playwave that I'm using:

  > rpm -qf /usr/bin/playwave 
  SDL_mixer-1.2.7-2.fc6


Comment 4 Thomas Woerner 2007-05-22 11:44:08 UTC
Assigning this bug to extras. SDL-mixer is not part of Core anymore since FC-4.

Comment 5 Brian Pepple 2008-04-03 00:26:36 UTC
SDL_mixer has fixed this to exit gracefully.

[bpepple@Bivouac Desktop]$ playwave channels-zero.wav 
Opened audio at 22050 Hz 16 bit stereo
Couldn't load channels-zero.wav: Unrecognized sound file type
[bpepple@Bivouac Desktop]$



Note You need to log in before you can comment on or make changes to this bug.